import request from "@/api/request.js";

// 全联盟-获取联盟列表
/**
 * @header token
 */
export function getAllUnionList() {
  return request({
    method: 'GET',
    url: `/api/union/union/unionList`
  })
}

// 全联盟-获取排华数量
/**
 * @header token
 */
export function getUnionCount() {
  return request({
    method: 'GET',
    url: `/api/union/union/unionCount`
  })
}

// 全联盟-获取排华联盟动态
/**
 * @header token
 */
export function getDynamic() {
  return request({
    method: 'GET',
    url: `/api/union/union/dynamic`
  })
}

// 全联盟-获取排华联盟预警
/**
 * @param {Object} params
 * @param {Integer} params.id - 上一接口查询的EccnCategoryID
 * @header token
 */
export function getPrediction() {
  return request({
    method: 'GET',
    url: `/api/union/union/prediction`
  })
}

// 全联盟-获取排华联盟领域分布
/**
 * @param {Object} params
 * @param {Integer} params.id - 上一接口查询的EccnCategoryID
 * @header token
 */
export function getIndustry() {
  return request({
    method: 'GET',
    url: `/api/union/union/industry`
  })
}

// 全联盟-获取排华联盟国家紧密度
/**
 * @param {Object} params
 * @param {Integer} params.id - 上一接口查询的EccnCategoryID
 * @header token
 */
export function getCountryRelation() {
  return request({
    method: 'GET',
    url: `/api/union/union/countryRelation`
  })
}